package com.tax.file.mapper;

import com.tax.file.model.*;
import com.yxcheng.token.common.service.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface FIncomeInvoiceMapper extends BaseMapper<FIncomeInvoiceExample,FIncomeInvoice> {

    void insertAppyList(List<InvoiceApplyReq> dataList);

    List<FIncomeInvoice> getIncomeInvoicePage(Map param);

    int updateTasknoBatch(List<FIncomeInvoice> list);

    int getIncomeByTaskNo(String taskno);

    int updateByExampleSelective(@Param("record") FIncomeInvoice record, @Param("example") FIncomeInvoiceExample example);
}